Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Null_Token Class Reference

No op class for nonthreaded platform protocols. More...

`#include <Local_Tokens.h>`

Inheritance diagram for ACE_Null_Token:

[legend]
Collaboration diagram for ACE_Null_Token:

[legend]
List of all members.

## Public Methods
virtual int | acquire (int=0, void(*)(void *)=0, ACE_Synch_Options &=ACE_Synch_Options::defaults)
| Acquire.
virtual int | renew (int=-1, ACE_Synch_Options &=ACE_Synch_Options::defaults)
| Renew.
virtual int | tryacquire (void(*)(void *)=0)
| Try acquire.
virtual int | release (ACE_Synch_Options &=ACE_Synch_Options::defaults)
| Release.
virtual int | remove (ACE_Synch_Options &=ACE_Synch_Options::defaults)
| Remove.
virtual ACE_Token_Proxy * | clone (void) const
| Return a dynamically allocated clone of the derived class.
void | dump (void) const
| Dump the state of the class.
virtual ACE_Tokens * | create_token (const ACE_TCHAR *)
| Do not allow the Token Manager to create us.

## Detailed Description

No op class for nonthreaded platform protocols.

## Member Function Documentation

virtual int ACE_Null_Token::acquire | ( | int | = 0,
|  | void(* | )(void *) = 0,
|  | ACE_Synch_Options & | = ACE_Synch_Options::defaults
| ) | `[inline, virtual]`

| Acquire. Reimplemented from ACE_Token_Proxy.

virtual ACE_Token_Proxy* ACE_Null_Token::clone | ( | void |  | ) | const`[inline, virtual]`

| Return a dynamically allocated clone of the derived class. Implements ACE_Token_Proxy.

virtual ACE_Tokens* ACE_Null_Token::create_token | ( | const ACE_TCHAR * |  | ) | `[inline, virtual]`

| Do not allow the Token Manager to create us. Implements ACE_Token_Proxy.

void ACE_Null_Token::dump | ( | void |  | ) | const

| Dump the state of the class. Reimplemented from ACE_Token_Proxy.

virtual int ACE_Null_Token::release | ( | ACE_Synch_Options & | = ACE_Synch_Options::defaults | ) | `[inline, virtual]`

| Release. Reimplemented from ACE_Token_Proxy.

virtual int ACE_Null_Token::remove | ( | ACE_Synch_Options & | = ACE_Synch_Options::defaults | ) | `[inline, virtual]`

| Remove. Reimplemented from ACE_Token_Proxy.

virtual int ACE_Null_Token::renew | ( | int | = -1,
|  | ACE_Synch_Options & | = ACE_Synch_Options::defaults
| ) | `[inline, virtual]`

| Renew. Reimplemented from ACE_Token_Proxy.

virtual int ACE_Null_Token::tryacquire | ( | void(* | )(void *) = 0 | ) | `[inline, virtual]`

| Try acquire. Reimplemented from ACE_Token_Proxy.

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Local_Tokens.h